Piloterr

Inet Search

GET
/v2/inet/search

Search Inet.se by keyword or category. Prices are inc-VAT SEK, with the next page URL when more results exist.

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

What to look for. A word such as ssd, or an Inet search or category link. A product link returns 400.

page?number

Page number, starting at 1. Page 2 uses page=2.

Range1 <= value
return_page_source?boolean

Set to true to get the raw HTML in result.

Response Body

Successful response

application/json
  1. response
results?array<>
pagination?
Example Request
curl -X GET 'https://api.piloterr.com/v2/inet/search?query=string'
Example Response
{  "results": [    {      "url": "https://www.inet.se/produkt/4306208/crucial-x10-portable-ssd-2tb",      "brand": "Crucial",      "price": 2999,      "title": "Crucial X10 Portable SSD 2TB",      "rating": 4.8,      "currency": "SEK",      "in_stock": true,      "image_url": "https://cdn.inet.se/product/86x86/4306208_hirbw9.jpg",      "highlights": [        "Storlek: 2 TB",        "Tillverkarens garanti: 3 år",        "USB 3.2 Gen 2x2 Type C"      ],      "is_bargain": false,      "product_id": "4306208",      "review_count": 4,      "price_display": "2 999 kr",      "selling_point": "Snabb och pålitlig",      "stock_quantity": 59,      "purchase_status": "Purchasable",      "reference_price": null,      "reference_price_display": null    }  ],  "pagination": {    "next": "https://www.inet.se/hitta?q=ssd&page=2",    "page": 1,    "per_page": 60,    "total_pages": 7,    "total_results": 381  }}